function results = basic_info(sampling_freq, time_interval_seconds)
% basic_info(sampling_freq, time_interval_seconds)
%==========================================================================
% returns samples per time interval, frequency resolution, cycles per time
%   interval, and tempo (assuming time_interval_seconds is the length of a
%   16th note).


low_note_freq = 196;
high_note_freq = 2093;


disp(sprintf('With the sampling frequency of %d, and a time interval of %g seconds', ...
    sampling_freq, time_interval_seconds));
disp(sprintf('     there are %g samples per time interval.', sampling_freq*time_interval_seconds));

disp(sprintf('A time interval of %g seconds corresponds to 16th notes at %g beats per minute.',...
    time_interval_seconds, 60/(4*time_interval_seconds)));

disp(sprintf('The frequency resolution is the inverse of the time interval, so'));
disp(sprintf('      a time interval of %g corresponds to a frequency resoltion of %g Hz.', ...
        time_interval_seconds, 1/time_interval_seconds));
disp(sprintf('The instrument range is assumed to be between %g and %g Hz.', ...
        low_note_freq, high_note_freq));
disp(sprintf('At %g Hz, the cycles are the slowest, at %g seconds long.', ...
        low_note_freq, 1/low_note_freq));
disp(sprintf('  This means the time interval %g contains at least %g cycles of the note being played.', ...
        time_interval_seconds, time_interval_seconds*low_note_freq));