function [dists,iInds,jInds] = compute_dists_vector(ffts)
%[dists,iInds,jInds] = compute_dists_vector(ffts): computes distance vector
%======================================================================================
%dists(ct) = normalized distance between spectra for ffts{iInd(ct)} and ffts{jInd(ct)}

n = length(ffts);
nVect = n*(n+1)/2;
dists = zeros(1,nVect);
iInds = zeros(1,nVect);
jInds = zeros(1,nVect);
ct = 1;
for i = 1:1:n
    for j = i:1:n
        dists(ct) =  spectral_distance(ffts{i},ffts{j});
        iInds(ct) = i;
        jInds(ct) = j;
        ct = ct + 1;
    end
end

return;
