function [fftSlices,fftSliceTimes,samples,sampleTimes] = convert_song_to_slices(fname,nFft,deb)
%[fftSlices,fftSliceTimes,samples*,sampleTimes*] = convert_song_to_slices(fname,nFft*(1470),deb*(0)): converts song into unclipped fft chunks 

if nargin < 2
    nFft = 1470;
    deb = 0;
elseif nargin < 3
    deb = 0;
end

[results,clipped_results] = analyze_wav_for_violin(fname,nFft,deb); 

nSlices = num_cols(results.fftSlices);
fftSlices = cell(nSlices,1);
for i = 1:1:nSlices
    fftSlices{i} = abs(results.fftSlices(:,i));
end
fftSliceTimes = results.fftSliceTimes_seconds;
if nargout > 2
    samples = results.samples;
    sampleTimes = results.sampleTimes_seconds;
end
