function results = draw_some_ffts(analyze_results,startSec,endSec,nFfts) 
%draw_some_ffts(analyze_results, startSecs*, endSecs*, nFfts*): grab some ffts and plot 'em
%=======================================================================================================
%analyze_results: structure returned from analzye_wav_for_violin (can be either the clipped or
%   non-clipped results returned by that function).
%startSecs: place to start picking out FFTs (0 is default)
%endSecs: place to end picking out FFTs (end of analyze_results is default)
%nFfts: how many to pick out 
%  default: 5
%  0: return ALL fft slices w/in given range (this is what you want when you're calculating averages)

finalTime = last(analyze_results.sampleTimes_seconds);

if nargin < 2
  startSecs = 0;
  endSecs = finalTime;
  nFfts = 5;
end
if nFfts == 0
  takeAll = 1;
else
  takeAll = 0;
end

results = get_some_ffts(analyze_results,startSec,endSec,nFfts);
do_the_drawing(results, analyze_results.dataFileName);


return;

function do_the_drawing(results, filename)
%------------------------------------------------------------------------------
nFfts = num_cols(results.fftSlices);

bins = results.fftBins_hz;
times = results.fftSliceTimes_seconds;
maxPower = max(max(abs(results.fftSlices)));
nr = nFfts;
nc = 1;
ready_subplot(get_next_fig,nr,nc);

%ready_plot(get_next_fig,2);

for i = 1:1:nFfts
  subplot(nr,nc,i);
  %ready_plot(get_next_fig,2);
  %ready_plot(0,2); 
  fft = results.fftSlices(:,i);
  tmp = length(bins);
  diffs = bins(2:tmp)-bins(1:tmp-1);
  disp(sprintf('max diff %g min diff %g',min(diffs),max(diffs)));
  %plot(bins,abs(fft),'k*');
  plot(bins,abs(fft),'k-');
  ind = find(fft == max(fft));
  if(length(ind) > 1)
      disp('ignoring ties when displaying maximum frequency');
      ind = ind(1);
  end
  disp(sprintf('slice time %.3f, max freq bin is %.3f',times(i),bins(ind)));
  
  %title(sprintf('slice time %.3f, max freq bin is %.3f',times(i),bins(ind)));

  
  ylabel(sprintf('%.3f',times(i)));
  scale_yaxis(0,maxPower,gcf);
  
  %added scaling factor for x axis because I didn't want to see the high
  %frequencies -KLP
  scale_xaxis(360, 370, gcf);

end
xlabel(sprintf('frequency in Hz'));
subplot(nFfts,1,1)
title(filename);
return;
