function [X,f]=fdomain(x,Fs)
% FDOMAIN computes the Fourier coefficients from vector x
%         and the corresponding frequencies (two-sided)
% usage: [X,f]=fdomain(x,Fs)

N=length(x);

if mod(N,2)==0
    k=-N/2:N/2-1; % N even
else
    k=-(N-1)/2:(N-1)/2; % N odd
end

T=N/Fs;
f=k/T;
X=fft(x)/N;
X=abs(fftshift(X));