function [bins,ffts,names] = get_note_templates()
%[bins,ffts,names] = get_note_templates(): returns average templates for ascending chromatic notes
%==================================================================================================
%names{i} reflects note name for spectra defined by ffts{i} with bins{i}
%where, for example, A_M_a means middle A ascending, As_M_a means middle
%Asharp ascending, etc. See template_file_names for entire set of template 
%file names

names = template_file_names;
n = length(names);

bins = cell(n,1);
ffts = cell(n,1);
for i = 1:1:n

    [x,y] = load_stuff(names{i});
   bins{i} = x;
   ffts{i} = y;
end

return;

%this stupid script converts a string into the necessary commands to read in the
%corresponding note's bins and fft data
function [x,y] = load_stuff(str)

evalStr = sprintf('load Templates%s%s_fft;',filesep,str);
eval(evalStr);
evalStr = sprintf('y = %s_fft;',str);
eval(evalStr);
evalStr = sprintf('load Templates%s%s_bins;',filesep,str);
eval(evalStr);
evalStr = sprintf('x = %s_bins;',str);
eval(evalStr);

return;