function [startTime, endTime] = get_times_a(vibrato, articulation, fingered)
%[startTime, endTime] = get_times_a(vibrato, articulation, fingered): start and end times for the file A1.wav
%==========================================================================
%takes in:
%   vibrato: 'yes' or 'no'
%   articulation: 'legato' or 'staccato'
%   fingered: 'open' or 'closed', default is 'closed'

if nargin <3
    fingered = 'closed';
end

if isequal(fingered, 'closed')
    if isequal(vibrato, 'no')
        if isequal(articulation, 'legato')
            startTime=5.481;
            endTime = 5.778;
        elseif isequal(articulation, 'staccato')
            startTime=7.370;
            endTime = 7.674;
        end
    elseif isequal(vibrato, 'yes')
        if isequal(articulation, 'legato')
            startTime = 9.126;
            endTime = 9.381;
        elseif isequal(articulation, 'staccato')
            startTime = 10.919;
            endTime = 11.206;
        end
    end
elseif isequal(fingered, 'open')
    if isequal(articulation, 'legato')
        startTime=1.628;
        endTime = 1.963;
    elseif isequal(articulation, 'staccato')
        startTime = 3.600;
        endTime = 3.900;
    end
end
