function [startTime, endTime] = get_times_chromaticNoVib(note, octave)

%This function finds the starting and ending times for each note in the
%chromaticNoVib file.  The times it finds are an approximation for steady
%state, as eyeballed by me (Katy).  
%
%PL:
%   note: the note you're trying to call.  Use 'a', 'A', 'a_flat',
%   'A_flat', or 'aFlat' format.
%   octave: the octave of the note.  Octaves are numbered by standard
%   convention (middle C is the begininning of octave 4).

switch note
    case{'a', 'A'}
        switch octave
            case 3
                startTime=4.017;
                endTime = 4.539;
            case 4
                startTime = 11.221;
                endTime = 11.737;
            case 5
                startTime = 18.279;
                endTime = 18.758;
            otherwise
                disp('That octave is not in the data.')
        end
    case{'a_sharp','b_flat'}
        switch octave
            case 3
                startTime = 4.707;
                endTime = 5.166;
            case 4
               startTime = 11.789;
               endTime = 12.271;
            case 5
               startTime = 18.914;
                endTime = 19.452;
         end
    case{'b', 'B'}
        switch octave
            case 3
                startTime = 5.294;
                endTime = 5.746;
            case 4
                startTime = 12.376;
                endTime = 12.846;
            case 5
                startTIme = 19.583;
                endTime = 20.355;
            otherwise
                disp('That octave is not in the data.')
        end
    case{'c', 'C'}
        switch octave
            case 4
                startTime = 5.851;
                endTime = 6.449;
            case 5
                startTime = 12.939;
                endTime = 13.351;
        end
        
    case{'c_sharp', 'C_sharp', 'cSharp', 'd_flat', 'D_flat', 'dFlat'}
        switch octave
            case 4
                startTime = 6.513;
                endTime = 6.983;
            case 5
                startTime = 13.514;
                endTime = 13.995;
            otherwise
                disp('That octave is not in the data.')
        end
    case{'d', 'D'}
        switch octave
            case 4
                startTime=7.093;
                endTime = 7.633;
            case 5
                startTime = 14.082;
                endTime = 14.538;
            otherwise
                disp('That octave is not in the data.')
        end
    case{'d_sharp', 'D_sharp', 'dSharp', 'e_flat', 'E_flat', 'eFlat'}
        switch octave
            case 4
                startTime = 7.714;
                endTime = 8.202;
            case 5 
                startTime = 14.683;
                endTime = 15.177;
            otherwise
                disp('That octave is not in the data.')
        end
    case{'e', 'E'}
        switch octave
            case 4
                startTime= 8.33;
                endTime = 8.794;
            case 5
                startTime = 15.255;
                endTime = 15.833;
        end
    case{'f', 'F'}
        switch octave
            case 4
                startTime = 8.852;
                endTime = 9.351;
            case 5
                startTime = 15.863;
                endTime = 16.367;
            otherwise
                disp('That octave is not in the data.')
        end
    case{'f_sharp', 'F_sharp', 'fSharp', 'g_flat', 'G_flat', 'gFlat'}
        switch octave
            case 4
                startTime= 9.456;
                endTime = 9.967;
            case 5
                startTime = 16.493;
                endTime = 16.999;
            otherwise
                disp('That octave is not in the data.')
        end
    case{'g', 'G'}
        switch octave
            case 3
                startTime = 2.803;
                endTime = 3.361;
            case 4
                startTime = 10.083;
                endTime = 11.087;
            case 5
                startTime = 17.089;
                endTime = 17.551;
            otherwise
                disp('That octave is not in the data.')
        end
    case{'g_sharp', 'G_sharp', 'gSharp', 'a_flat', 'A_flat', 'aFlat'}
        switch octave
            case 3
                startTime = 3.366;
                endTime = 4.011;
            case 4 
                startTime = 10.634;
                endTIme = 11.087;
            case 5
                startTime = 17.718;
                endTime = 18.205;
            otherwise
                disp('That octave is not in the data.')
        end
    otherwise
        disp('That note is not in a readable format.')
        disp('Make sure write note in their simplest spelling,')
        disp('and specify accidentals in the form "a_sharp".')
end