function [startTime, endTime] = get_times_chromaticVib(note, octave)

%This function finds the starting and ending times for each note in the
%chromaticVib1 file.  The times it finds are an approximation for steady
%state, as eyeballed by me (Katy).  
%
%PL:
%   note: the note you're trying to call.  Use 'a', 'A', 'a_flat',
%   'A_flat', or 'aFlat' format.
%   octave: the octave of the note.  Octaves are numbered by standard
%   convention (middle C is the begininning of octave 4).

switch note
    case{'a', 'A'}
        switch octave
            case 3
                startTime= 2.381;
                endTime = 2.986;
            case 4
                startTime = 9.438;
                endTime = 9.93;
            case 5
                startTime = 16.296;
                endTime = 16.731;
            otherwise
                disp('That octave is not in the data.')
        end
    case{'a_sharp','b_flat'}
        switch octave
            case 3
                startTime = 3.025;
                endTime = 3.578;
            case 4
               startTime = 9.996;
               endTime = 10.466;
            case 5
               startTime = 16.870;
                endTime = 17.397;
         end
    case{'b', 'B'}
        switch octave
            case 3
                startTime = 3.635;
                endTime = 4.170;
            case 4
                startTime = 10.610;
                endTime = 11.093;
            case 5
                startTIme = 17.48;
                endTime = 18.694;
            otherwise
                disp('That octave is not in the data.')
        end
    case{'c', 'C'}
        switch octave
            case 4
                startTime = 4.201;
                endTime = 4.789;
            case 5
                startTime = 11.171;
                endTime = 11.694;
        end
        
    case{'c_sharp', 'C_sharp', 'cSharp', 'd_flat', 'D_flat', 'dFlat'}
        switch octave
            case 4
                startTime = 4.823;
                endTime = 5.376;
            case 5
                startTime = 11.746;
                endTime = 12.286;
            otherwise
                disp('That octave is not in the data.')
        end
    case{'d', 'D'}
        switch octave
            case 4
                startTime = 5.398;
                endTime = 5.912;
            case 5
                startTime = 12.347;
                endTime = 12.830;
            otherwise
                disp('That octave is not in the data.')
        end
    case{'d_sharp', 'D_sharp', 'dSharp', 'e_flat', 'E_flat', 'eFlat'}
        switch octave
            case 4
                startTime = 6.008;
                endTime = 6.526;
            case 5 
                startTime = 12.891;
                endTime = 13.379;
            otherwise
                disp('That octave is not in the data.')
        end
    case{'e', 'E'}
        switch octave
            case 4
                startTime= 6.582;
                endTime = 7.083;
            case 5
                startTime = 13.470;
                endTime = 13.949;
        end
    case{'f', 'F'}
        switch octave
            case 4
                startTime = 7.157;
                endTime = 7.662;
            case 5
                startTime = 14.019;
                endTime = 114.554;
            otherwise
                disp('That octave is not in the data.')
        end
    case{'f_sharp', 'F_sharp', 'fSharp', 'g_flat', 'G_flat', 'gFlat'}
        switch octave
            case 4
                startTime= 7.723;
                endTime = 8.176;
            case 5
                startTime = 14.606;
                endTime = 15.094;
            otherwise
                disp('That octave is not in the data.')
        end
    case{'g', 'G'}
        switch octave
            case 3
                startTime = 1.131;
                endTime = 1.745;
            case 4
                startTime = 8.232;
                endTime = 8.694;
            case 5
                startTime = 15.137;
                endTime = 15.703;
            otherwise
                disp('That octave is not in the data.')
        end
    case{'g_sharp', 'G_sharp', 'gSharp', 'a_flat', 'A_flat', 'aFlat'}
        switch octave
            case 3
                startTime = 1.785;
                endTime = 2.372;
            case 4 
                startTime = 8.825;
                endTime = 9.321;
            case 5
                startTime = 15.725;
                endTime = 16.276;
            otherwise
                disp('That octave is not in the data.')
        end
    otherwise
        disp('That note is not in a readable format.')
        disp('Make sure write notes in their simplest spelling,')
        disp('and specify accidentals in the form "a_sharp".')
end