function id = note_name_to_class(name) 
%id = note_name_to_class(name): converts note name to an integer that reflects its pitch 
%========================================================================================

offset = 10;

nLen = length(name);
if ~(isequal(name,'more_than_one')|isequal(name,'too_far'))
    assert(isequal(name(nLen-1),'_'),'bogus template name');
    assert(or(isequal(name(nLen),'a'),isequal(name(nLen),'d')),'bogus template name');
    shorterName = name(1:nLen-2);
else
    shorterName =  name;
end

switch shorterName
case 'more_than_one',  id = -1; 
case 'too_far',  id = 0; 
case 'G_L',  id = offset;
case 'Gs_L', id = offset + 1; 
case 'A_L',  id = offset + 2; 
case 'As_L', id = offset + 3;
case 'B_L',  id = offset + 4;
case 'C_L',  id = offset + 5;
case 'Cs_L', id = offset + 6;
case 'D_L',  id = offset + 7;
case 'Ds_L', id = offset + 8;
case 'E_L',  id = offset + 9;
case 'F_L',  id = offset + 10;
case 'Fs_L', id = offset + 11;

case 'G_M',  id = offset + 12;
case 'Gs_M', id = offset + 13;
case 'A_M',  id = offset + 14;
case 'As_M', id = offset + 15;
case 'B_M',  id = offset + 16;
case 'C_M',  id = offset + 17;
case 'Cs_M', id = offset + 18;
case 'D_M',  id = offset + 19;
case 'Ds_M', id = offset + 20;
case 'E_M',  id = offset + 21;
case 'F_M',  id = offset + 22;
case 'Fs_M', id = offset + 23;

case 'G_U',  id = offset + 24;
case 'Gs_U', id = offset + 25;
case 'A_U',  id = offset + 26;
case 'As_U', id = offset + 27;
case 'B_U',  id = offset + 28;
case 'C_U',  id = offset + 29;
case 'Cs_U', id = offset + 30;
case 'D_U',  id = offset + 31;

otherwise, assert(0,'bogus note name');

end

    
