function notes_to_nyquist(fname,estNotes,estTimes,startTime,endTime)
%notes_to_nyquist(fname,estNotes,estTimes): writes transcription of notes so that nyquist can generate sound for it
%=====================================================================================================================

nNotes = length(estNotes);
ck_dim(estTimes,nNotes);

onsets = [];
durations = [];
pitches = [];

%change all dont knows to same value so changes to them only trigger once
inds = find(estNotes == -1);
estNotes(inds) = 0;

diffs = estNotes(1:(nNotes-1)) - estNotes(2:nNotes);
triggers = find(diffs ~= 0);
nTriggers = length(triggers);

begins = [];
ends = [];
durations = [];
startTimes = [];
for i = 1:1:nTriggers-1
    if estTimes(triggers(i)) < startTime | ...
       estTimes(triggers(i)) > endTime %
        ; %nada
    else
        begins(i) = estNotes(triggers(i));
        ends(i) = estNotes(triggers(i+1));
        durations(i) = estTimes(triggers(i+1)) - estTimes(triggers(i));
 %       startTimes(i) = estTimes(triggers(i));
    end
end
%start playing 1 sec from scheduling 
%startTimes = startTimes - min(startTimes) + 1;

[fid,msg] = fopen([fname '.lsp'],'w+');
assert(fid > -1,'error opening file');
nMidi = length(begins);
fprintf(fid,'(load "pianosyn")\n');
deadTime = .25;
fprintf(fid,sprintf('(play (seq (at %g (seq \n',deadTime));

for i = 1:1:nMidi
    if ~isequal(ends(i),0)
        %note to play; here we're assuming A w/our class id of 24 is 60 in nyquist
        fprintf(fid,sprintf('(piano-note %.3f %d 100)\n',...
                            durations(i),ends(i)+36));
    else
        %rest
        fprintf(fid,sprintf('(s-rest %.3f)\n',...
                            durations(i)));
    end
end
fprintf(fid,') ) ) )');

fclose(fid);