function plot_six_ffts(getSomeFftsResults)
%plots_six_ffts(getSomeFftsResults) plots 6 FFTs with the input from
%get_some_ffts.
%===================================================================
%The six FFTs are the two first ones, two from the middle, and the two last
%ones.

%Checks to see if if the user would get better results from draw_some_ffts
nIndicies = length(getSomeFftsResults.fftSliceTimes_seconds);

if nIndicies<=6
    disp(sprintf('just use draw_some_ffts'));, break;
else
    middle2 = floor(nIndicies/2):floor(nIndicies/2 +1);
end

%gets the appropriate data, uses the same format as draw_some_ffts
nFfts = num_cols(getSomeFftsResults.fftSlices);
times = getSomeFftsResults.fftSliceTimes_seconds;
bins = getSomeFftsResults.fftBins_hz;
nbins = length(getSomeFftsResults.fftBins_hz);
maxPower = max(max(abs(getSomeFftsResults.fftSlices)));
nr = 6;
nc = 1;
indexVector = [1 2 middle2 (nIndicies-1) nIndicies]

violin_range = [190 2500];

%plots the ffts
ready_subplot(get_next_fig,nr,nc);
for i = 1:1:6
  subplot(nr,nc,i);
  fft = getSomeFftsResults.fftSlices(:,indexVector(i));
  tmp = length(bins);
  diffs = bins(2:tmp)-bins(1:tmp-1);
  disp(sprintf('max diff %g min diff %g',min(diffs),max(diffs)));
  ind = find(bins >= violin_range(1) & bins <= ...
            violin_range(2));
  v_cts = fft(ind);
  v_freq = bins(ind);
  plot(log2(v_freq),abs(v_cts));
  if(length(ind) > 1)
      disp('ignoring ties when displaying maximum frequency');
      ind = ind(1);
  end
  disp(sprintf('index is %.3f', indexVector(i)));
  disp(sprintf('slice time %.3f, max freq bin is %.3f',times(indexVector(i)),bins(ind)));  
  ylabel(sprintf('%.3f',times(indexVector(i))));
  scale_yaxis(0,maxPower,gcf);
  a = gca;
labels = {'g','g+','a','a+','b','c', 'c+', 'd', 'd+', 'e', 'f', ...
        'f+', 'g','g+','a', 'a+', 'b', 'c', 'c+', 'd', 'd+', 'e', 'f', 'f+', ...
        'g','g+','a','a+','b','c', 'c+', 'd', 'd+', 'e', 'f', 'f+',...
        'g','g+','a','a+','b','c', 'c+', 'd', 'd+', 'e',...
        'f', 'f+','g','g+','a','a+','b','c', 'c+', 'd', 'd+' };

binFreqs =[196,207.65,220,233.08,246.94, 261.63, 277.18, 293.66, 311.13, 329.63, 349.23, ...
        369.99, 392, 415.30, 440, 466.16, 493.88, 523.25, 554.37, 587.33, 622.25, 659.26, 698.46, 739.99,...
        783.99, 830.61, 880, 932.33, 987.77, 1046.5, 1108.73, 1174.66, 1244.51, 1318.51, 1396.91, 1479.98, ...
        1567.98, 1661.22, 1760, 1864.66, 1975.53, 2093, 2217.46, 2349.32, 2489.02, 2637.02, ...
        2793.83, 2959.96, 3135.96, 3322.44, 3520, 3729.31, 3951.07, 4186.01, 4434.99, 4698.64, 4978.03];
set(a,'XTick',log2(binFreqs));
set(a,'XTickLabel',labels);

end
xlabel(sprintf('frequency in Hz'));
return;

