function template_test_diffs(name1,name2,name3)
%template_test_diffs(name1,name2,name3): shows differences between 2 template notes (ascending aves) and one test ave (descending ave)
%======================================================================================================================================
%for <name1> use the following kind of string:
%   'A_M_a'  means middle A ascending, 
%   'As_M_a' means middle Asharp ascending, 
%   etc. 
%for <name2> use the following kind of string:
%   'A_M_d'  means middle A ascending, 
%   'As_M_d' means middle Asharp ascending, 
%   etc. 
%for <name3> use the following kind of string:
%   'A_M_d'  means middle A descending, 
%   'As_M_d' means middle Asharp descending, 
%   etc. 
%--------------------------------------------------------------------------------------------------------------------------------------
%see note_file_names and test_file_names for entire set valid string names

tempNames = note_file_names;
[tempHz, tempFfts, tempNames] = get_note_templates;
testNames = test_file_names;
[testHz, testFfts, testNames] = get_test_templates;

ind1 = find(strncmp(name1,tempNames,length(name1)));
if isempty(ind1)
    disp(sprintf('%s is not a training template',name1));
    return;
end
tempData = tempFfts{ind1};
tempBins = tempHz{ind1};

ind2 = find(strncmp(name2,tempNames,length(name2)));
if isempty(ind2)
    disp(sprintf('%s is not a training template',name2));
    return;
end
tempData1 = tempFfts{ind2};
tempBins1 = tempHz{ind2};

ind3 = find(strncmp(name3,testNames,length(name3)));
if isempty(ind3)
    disp(sprintf('%s is not a test template',name3));
    return;
end
testData = testFfts{ind3};
testBins = testHz{ind3};

dist = spectral_distance(tempData,testData);
dist1 = spectral_distance(tempData1,testData);

t = sprintf('difference between note %s and note %s is %g',tempNames{ind1},testNames{ind3},dist);
t = [t; sprintf('difference between note %s and note %s is %g',tempNames{ind2},testNames{ind3},dist)];

nr = 3;
nc = 1;
ready_subplot(get_next_fig,nr,nc);
subplot(nr,nc,1);
str1 = ['train note ' tempNames{ind1} sprintf('dist to test %s is %g',testNames{ind3},dist)];
title(str1);
plot(tempBins,tempData,'r-');
subplot(nr,nc,2);
str2 = ['train note ' tempNames{ind2} sprintf('dist to test %s is %2g',testNames{ind3},dist1)];
title(str2);
plot(tempBins1,tempData1,'r-');
subplot(nr,nc,3);
str3 = ['test note ' testNames{ind3}];
title(str3);
plot(testBins,testData,'r-');

return;

