function test_templates
%test_templates: runs classifier on ave descending chromatic notes

[bins,fftSlices,names] = get_test_templates;
nData = length(names);

[templateBins,templateFfts,templateNames] = get_note_templates;
nTemplates = length(templateNames);

%for each new spectrum to classify, build distance vector from it to each template
dists = zeros(nData,nTemplates);
estNames = cell(nData,1);
for i = 1:1:nData
    data = fftSlices{i};
    thisDists = zeros(1,nTemplates);
    for j = 1:1:nTemplates
        thisDists(1,j) = spectral_distance(templateFfts{j},data);
    end
    dists(i,:) = thisDists;
    %filter nothing
    absThreshold = 0;
    diffThreshold = 0;
    [id,name] = classify_with_template(thisDists,templateNames,absThreshold,diffThreshold);
    estNames{i} = name;
end

nCorrect = 0;
for i = 1:1:nData
    if name_okay(estNames(i,1),names(i))
        nCorrect = nCorrect + 1;
    else
        disp(sprintf('incorrectly classified %d-th note %s as %s',...
                     i,names{i},estNames{i}));
    end
end

disp(sprintf('success rate %f',nCorrect/nData));

return;

function same = name_okay(name1,name2)
%---------------------------------------------------
str1 = name1{1};
str2 = name2{1};
%verify valid template name
len1 = length(str1);
assert(isequal(str1(len1-1:len1),'_a'));
%verify valid test name
len2 = length(str2);
assert(isequal(str2(len2-1:len2),'_d'));
same = isequal(str1(1:len1-2),str2(1:len2-2));

return;
