% commonly used commands are stored here so they can be copied and pasted
% when convenient.
[chrmVib] = analyze_wav('chromaticVib1', 4096, 'violin', 0);

[chrmNoVib] = analyze_wav('chromaticNoVib', 4096, 'violin', 0);


[sVibG3, eVibG3]= get_times_chromaticVib('g', 3);
[sVibG4, eVibG4]= get_times_chromaticVib('g', 4);
[sVibG5, eVibG5]= get_times_chromaticVib('g', 5);

[sNoVibG3, eNoVibG3]= get_times_chromaticNoVib('g', 3);
[sNoVibG4, eNoVibG4]= get_times_chromaticNoVib('g', 4);
[sNoVibG5, eNoVibG5]= get_times_chromaticNoVib('g', 5);

g3SampIndStart = find_nearest(chrmVib.sampleTimes_seconds, sVibG3);
g3SampIndEnd = find_nearest(chrmVib.sampleTimes_seconds, eVibG3);
g3Sample = chrmVib.samples(g3SampIndStart:g3SampIndEnd);

fSharpSampIndStart = find_nearest(chrmVib.sampleTimes_seconds, sVibFSharp);
fSharpSampIndEnd = find_nearest(chrmVib.sampleTimes_seconds, eVibfSharp);
fSharpSample = chrmVib.samples(fSharpSampIndStart:fSharpSampIndEnd);

[as] = analyze_wav('A1', 4096, 'violin', 0);

[sVibLegClosedA, eVibLegClosedA] = get_times_a('yes', 'legato');
[sVibStaClosedA, eVibStaClosedA] = get_times_a('yes', 'stacato');
[sNoVibStaClosedA, eNoVibStaClosedA] = get_times_a('no', 'stacato');
[sNoVibLegClosedA, eNoVibLegClosedA] = get_times_a('no', 'legato');

[sVibLegFSharp, eVibLegFSharp] = get_times_fSharp('yes', 'legato');
[sVibStaFSharp, eVibStaFSharp] = get_times_fSharp('yes', 'stacato');
[sNoVibStaFSharp, eNoVibStaFSharp] = get_times_fSharp('no', 'stacato');
[sNoVibLegFSharp, eNoVibLegFSharp] = get_times_fSharp('no', 'legato');


[fSharp] = analyze_wav('fSharp', 4096, 'violin', 0);


average_fft(fSharp, sVibLegFSharp, eVibLegFSharp);
average_fft(fSharp, sNoVibLegFSharp, eNoVibLegFSharp);
average_fft(fSharp, sVibStaFSharp, eVibStaFSharp);

fSharpFftsNoVib = get_some_ffts(fSharp, sNoVibLegFSharp, eNoVibLegFSharp, 0);
plot_six_ffts(fSharpFftsNoVib)

fSharpFftsSta = get_some_ffts(fSharp, sVibStaFSharp, eVibStaFSharp, 0);
plot_six_ffts(fSharpFftsSta)

fSharpFfts = get_some_ffts(fSharp, sVibLegFSharp, eVibLegFSharp, 0);
plot_six_ffts(fSharpFfts)

[fSharp] = analyze_wav('fSharp', 4096, 'violin', 1);
fSharpSampIndStart = find_nearest(fSharp.sampleTimes_seconds, 6.095);
fSharpSampIndEnd = find_nearest(fSharp.sampleTimes_seconds, 6.44);
fSharpSample = fSharp.samples(fSharpSampIndStart:fSharpSampIndEnd);
[sample, freqs] = fdomain(fSharpSample, 44100);
ready_plot(-1, 2)
stem(freqs, sample)
scale_xaxis(0, 10000, 1)

shortG3Sample = chrmVib.samples(g3SampIndStart:(g3SampIndStart + 4096));
[shortSample, shortFreqs] = fdomain(shortG3Sample, 44100);
ready_plot(0,2)
plot(shortFreqs, shortSample, 'rd')